package ch.zhaw.gartenverwaltung.io;

import ch.zhaw.gartenverwaltung.types.Task;

import java.io.IOException;
import java.time.LocalDate;
import java.util.Date;
import java.util.List;

public interface TaskDatabase {
    List<Task> getTaskList(LocalDate start, LocalDate end) throws IOException;
    void saveTask(Task task) throws IOException;
    void removeTask(Task task) throws IOException;
}
